DEVRES_RELEASE_GROUP(9)

NAME
devres_release_group - Release resources in a devres group

SYNOPSIS

int devres_release_group(struct device * dev, void * id);

ARGUMENTS

dev
    Device to release group for

id
    ID of target group, can be NULL

DESCRIPTION

Release all resources in the group identified by id. If id is NULL, the latest open group is selected. The selected group and groups properly nested inside the selected group are removed.

RETURNS

The number of released non-group resources.

COPYRIGHT